Bug 127067 - sa-learn can't handle special characters in filenames
sa-learn can't handle special characters in filenames
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spamassassin (Show other bugs)
1
All Linux
medium Severity low
: ---
: ---
Assigned To: Chip Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-07-01 09:39 EDT by Doncho N. Gunchev
Modified: 2007-11-30 17:10 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 12:26:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Doncho N. Gunchev 2004-07-01 09:39:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7) Gecko/20040622

Description of problem:
    sa-learn from spamassassin-2.63-0.2 can not learn from say mbox
file with name '[SPAM]'. If it is named 'SPAM' all works fine.


How reproducible: Always


Steps to Reproduce:
    1. create a mbox file and name it '[SOMETHING]'
    2. try 'sa-learn --showdots --mbox --spam /tmp/\[SOMETHING\]'


Actual Results:  'Learned from 0 message(s) (0 message(s) examined).'


Expected Results:  'Learned from 93 message(s) (101 message(s)
examined).' for example


Additional info:
    Special characters in the filename are problem for single messages
too. I think even simple space in the name was problem, but this can
easily be tested.
Comment 1 Doncho N. Gunchev 2004-10-26 12:26:40 EDT
FC1 is now in fedoralegacy.org, so I close this with WONTFIX. I don't
know (will probably check soon) if spamassassin 3 handles this better,
but it would be a new bug anyway.

Note You need to log in before you can comment on or make changes to this bug.